# Class CLNAbstractReadFileCommand

java.lang.Object
com.io7m.calino.cmdline.internal.CLNAbstractCommand
com.io7m.calino.cmdline.internal.CLNAbstractReadFileCommand

All Implemented Interfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType, com.io7m.quarrel.core.QCommandType`

Direct Known Subclasses:
  `CLNCommandCheck, CLNCommandExtractImageData2D, CLNCommandExtractImageDataArray, CLNCommandExtractImageDataCube, CLNCommandShowImageInfo, CLNCommandShowMetadata, CLNCommandShowSections, CLNCommandShowSummary, CLNCommandShowVersion`

public abstract class CLNAbstractReadFileCommand extends CLNAbstractCommand
An abstract command that reads a single file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract com.io7m.quarrel.core.QCommandStatus`
  `executeWithReadFile(com.io7m.quarrel.core.QCommandContextType context, CLNFileReadableType fileParsed)`
  `final com.io7m.quarrel.core.QCommandStatus`
  `onExecute(com.io7m.quarrel.core.QCommandContextType context)`
  `final List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParametersActual()`
  `protected abstract List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParametersWithFile()`
  `protected static URI`
  `source(com.io7m.quarrel.core.QCommandContextType context)`

  ### Methods inherited from class CLNAbstractCommand

  `calinoStrings, metadata, onListNamedParameters`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Method Details

  - ### onListNamedParametersWithFile

    protected abstract List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParametersWithFile()

  - ### onListNamedParametersActual

    public final List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParametersActual()
    Specified by:
      `onListNamedParametersActual` in class `CLNAbstractCommand`

  - ### onExecute

    public final com.io7m.quarrel.core.QCommandStatus onExecute(com.io7m.quarrel.core.QCommandContextType context) throws Exception
    Throws:
      `Exception`

  - ### source

    protected static URI source(com.io7m.quarrel.core.QCommandContextType context)

  - ### executeWithReadFile

    protected abstract com.io7m.quarrel.core.QCommandStatus executeWithReadFile(com.io7m.quarrel.core.QCommandContextType context, CLNFileReadableType fileParsed) throws Exception
    Throws:
      `Exception`